Home | All Classes | Grouped Classes | Index | Search

# CL_DomDocument::create_element

Creates an element of the type specified.

    	CL_DomElement create_element(
    		const std::string& tag_name);

Parameters:

tag_name
  The name of the element type to instantiate. For XML, this is case-sensitive.

Detailed description:

Note that the instance returned implements the Element interface, so attributes can be specified directly on the returned object.

See also:

CL_DomElement | CL_DomDocument

Questions or comments, write to the ClanLib mailing list.